# monitrc for Collective Tools
# Modified from Turnkey Linux 15.1

# Daemon settings
set daemon 120            # check services at 2-minute intervals
set logfile /var/log/monit.log
set idfile /var/lib/monit/id
set statefile /var/lib/monit/state

set eventqueue
  basedir /var/lib/monit/events # set the base directory where events will be stored
  slots 100                     # optionally limit the queue size

# Bind monit HTTP interface to localhost
set httpd port 2812
  use address 127.0.0.1
  allow localhost

# Alert settings
set mailserver {{ alert_settings.email_server.name }}
  port {{ alert_settings.email_server.port }} using SSL
  username {{ alert_settings.email_server.user }}
  password "{{ alert_settings.email_server.pw }}"
  using hostname {{ hostname }}

set alert {{ alert_settings.admin_email }} not on { instance, action }

set mail-format { from: monit@{{ hostname }} }

# Include additional configuration files
include /etc/monit/conf-enabled/*

# Basic monitoring
check system $HOST
  if memory      > 75% for 5 cycles then alert
  if swap        > 25% for 5 cycles then alert
  if cpu()       > 90% for 5 cycles then alert
  if cpu(user)   > 70% for 5 cycles then alert
  if cpu(system) > 30% for 5 cycles then alert
  if cpu(wait)   > 20% for 5 cycles then alert

check filesystem rootfs with path /
  if space usage > 90% then alert
  if inode usage > 90% then alert
